//Part of XDBEngine source code.
//Version 1.0
//Created by Tomas Koutny.
//for more info see http://www.rawos.cz/xdbe/index.html

//creating of objects representing database file in .XDB format

library XDBCore;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  ShareMem,
  SysUtils,
  Classes,
  UserLevel in '..\COMMON\UserLevel.pas',
  EngineLevel in '..\COMMON\EngineLevel.pas',
  AbstractLayer in 'AbstractLayer.pas',
  FileLevel in 'FileLevel.pas',
  TableLevel in 'TableLevel.pas',
  UserStructs in '..\COMMON\UserStructs.pas',
  Main in 'Main.pas',
  UserConsts in '..\COMMON\UserConsts.pas',
  XDBStructs in 'XDBStructs.pas',
  stream64 in '..\..\common\stream64.pas',
  XDBRetCodes in '..\COMMON\XDBRetCodes.pas',
  ColLevel in 'ColLevel.pas',
  routines in 'routines.pas',
  DataObj in 'DataObj.pas',
  UCol in 'UCol.pas';

{$R *.RES}


exports
       RegisterXDBFilters;

begin
end.
