//Part of XDBEngine source code.
//Version 1.3
//Created by Tomas Koutny.
//for more info see http://www.rawos.cz/xdbe/index.html
//This file is public domain.

unit XDBRetCodes;

interface

const
     //returns codes and error values
     xdbrcOK                   =  0; //everything is OK
     xdbrcUnexpected           =  1; //unexpected error happend
     xdbrcFilterNotFound       =  2; //demand for non-existing filter
     xdbrcUnableToCreateTable  =  3; //unable to create table
     xdbrcTableAlreadyExists   =  4; //table with such name already exists
     xdbrcCannotCreateDB       =  5; //cann't create db file
     xdbrcUnknownFileFormat    =  6; //unknown db file format
     xdbrcCannotRenameTable    =  7; //table cann't be renamed
     xdbrcInvalidName          =  8; //invalid name of object
     xdbrcColNotFound          =  9; //table's column not found
     xdbrcInvalidTextFormat    = 10; //invalid text representation of data
     xdbrcColAlreadyExists     = 11; //column with desired name already exists
     xdbrcInvalidDColDsgnData  = 12; //unable to convert every data uin
                                     //TColumnDesign as specfied in it
     xdbrcNoMoreColsPossible   = 13; //unable to create new column
                                     //there are no free column descriptors
     xdbrcInvalidData          = 14; //invalid data representation
     xdbrcNotEnoughMemory      = 15; //not enough memory to complete operation
     xdbrcInvalidIndex         = 16; //invalid index used
     xdbrcNoColumns            = 17; //table doesn't  has any column
     xdbrcCannotAssimilateSelf = 18; //attempted self assimilation
     xdbrcCannotAssignSelf     = 19; //attempted self assignment
     xdbrcCacheCreationFailed  = 20; //cache couldn't be created
                                     //probably not enough physical memory
                                     //memory was not free
     xdbrcUnsupported           = 21;//demanded function is not supported
                                     //i.e. if driver only maps function
                                     //of another driver

implementation

end.
