//Part of XDB Core source code.
//Version 1.0
//Created by Tomas Koutny.
//for more info see http://www.rawos.cz/xdbe/index.html

unit XDBStructs;

interface

uses SysUtils;

const
  XDBFileSignature:packed array[0..11] of char = 'XDTKDataBase';

type
  TXDBHeader = packed record
                  Signature:array[0..11] of char;
                  LoVersion,
                  HiVersion: word;
                  Tables,
                  Indexes,
                  Queries,
                  DTypes,
                  Spaces,
                  Specs,
                  Info:Int64;
               end;

  TXDBPlacement = packed record
                    Position,
                    Size:Int64;
                  end;

  TXDBPlacements = packed array of TXDBPlacement;

  WideText = packed record
               Size:Int64;
               Data:pointer;
             end;

  TXDBColumn = packed record
                 Kind:Int64;
                 ID:Int64;
                 InputMask,
                 OutputMask: WideText;
                 InitialValue,
                 MinValue,
                 MaxValue:Int64;
                 MinLength,
                 MaxLength:Int64;
               end;

implementation

end.
